/*
===============================================================================

	FILE:	twinedge.cpp
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#include "twinedge.h"

FFtwinEdge::FFtwinEdge()
{
  group = 0;
  material = 0;
  component = 0;

  marker = 0;
  
  vertex = 0;
  normal = 0;
  next = 0;
  inv  = 0;
  gate = 0;
  boundary_prev = 0;
  boundary_next = 0;
}

FFtwinEdge::FFtwinEdge(int g, int m)
{
  group = g;
  material = m;
  component = 0;

  marker = 0;

  vertex = 0;
  normal = 0;
  next = 0;
  inv  = 0;
  gate = 0;
  boundary_prev = 0;
  boundary_next = 0;
}

FFtwinEdge::FFtwinEdge(int g, int m, FFvertex* v)
{
  group = g;
  material = m;
  component = 0;

  marker = 0;

  vertex = v;
  normal = 0;
  next = 0;
  inv  = 0;
  gate = 0;
  boundary_prev = 0;
  boundary_next = 0;
}

FFtwinEdge::FFtwinEdge(int g, int m, FFvertex* v, FFnormal* n)
{
  group = g;
  material = m;
  component = 0;

  marker = 0;

  vertex = v;
  normal = n;
  next = 0;
  inv  = 0;
  gate = 0;
  boundary_prev = 0;
  boundary_next = 0;
}

FFtwinEdge::~FFtwinEdge()
{
}
