/*
===============================================================================

	FILE:	twinedge.h
	
	CONTENTS:
	
		Face Fixer - SIGGRAPH 2000 demonstration software
	
	PROGRAMMERS:
	
		Martin Isenburg@cs.unc.edu
	
	COPYRIGHT:
	
		Copyright (C) 2000  Martin Isenburg (isenburg@cs.unc.edu)
		
		This software is distributed in the hope that it will be useful,
		but WITHOUT ANY WARRANTY; without even the implied warranty of
		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
	
	CHANGE HISTORY:
	
		28 April 2000 -- Martin - finalized for SIGGRAPH submission.
	
===============================================================================
*/
#ifndef FF_TWINEDGE_H
#define FF_TWINEDGE_H

class FFvertex;
class FFnormal;

class FFtwinEdge
{
public:
  int group;
  int material;
  int component;

  int marker; // used to visualize encoded faces

  FFvertex* vertex;
  FFnormal* normal;

  FFtwinEdge* next;
  FFtwinEdge* inv;
  
  FFtwinEdge* boundary_prev;
  FFtwinEdge* boundary_next;
  
  FFtwinEdge* gate;  // used for handle detection
  
  FFtwinEdge();
  FFtwinEdge(int g, int m);
  FFtwinEdge(int g, int m, FFvertex* v);
  FFtwinEdge(int g, int m, FFvertex* v, FFnormal* n);
  ~FFtwinEdge();
};

#endif
